Subject: Re: ISA DMA take 2

From: Adrian Cox <[email-masked]>
Date: Wed, 09 Jan 2002 20:43:34 +0000

Michael Sokolov wrote:

> Adrian Cox <[email-masked]> wrote:
>>I have two CT69030 VGA chips on the same PCI bus, but I only enable
>>their PCI memory mapped regions, and never use the legacy VGA addresses.
>
> Ahh, I didn't know you could disable legacy VGA address decoding.

You don't need to. You just have to make sure that no legacy VGA address
ever appears on the PCI bus for the device to respond to.

This is quite easy - references by the PowerPC to addresses 0xa0000 to
0xfffff will go to RAM, not to PCI. If buffers for bus-mastering
peripherals are never allocated in that range, then those addresses will
never appear on the PCI bus.

--
Adrian Cox   http://www.humboldt.co.uk/

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/